com.mapinfo.midev.style

## Interface IGridStyle

All Superinterfaces:
  ICopiable, IStyle, Serializable

    public interface IGridStyle
    extends IStyle

A style for grids.

### Method Summary

All Methods Instance Methods Abstract Methods
`Number` `getBrightness()` Returns the brightness to be applied to a grid.
`Number` `getContrast()` Returns the contrast to be applied to the grid.
`IGridStyle` `getCopy()` Returns a 'deep', stand-alone copy of this `IStyle`.
`Boolean` `getGrayscale()` Returns `true` if the grid is to be displayed as greyscale.
`List` `getInflectionList()` Returns the inflection list.
`Color` `getNullColor()` Returns the no data color.
`Number` `getOpacity()` Returns the current opacity to be applied to a grid.
`Boolean` `isNullTransparent()` Returns `true` if null values should be rendered with a transparent color.
`Boolean` `isShowHillshade()` Returns `true` if the grid is to be displayed with Hill Shade.
`void` `setBrightness(Number brightness)` Sets the brightness to be applied to a grid.
`void` `setContrast(Number contrast)` Sets the contrast to be applied to the grid.
`void` `setGrayscale(Boolean grayscale)` Set to `true` if the grid is to be displayed as greyscaled.
`void` `setInflectionList(List inflectionList)` Set the inflection list.
`void` `setNullColor(Color nullColor)` Set the no data colors.
`void` `setNullTransparent(Boolean nullTransparent)` Set to `true` if null values should be rendered with a transparent color.
`void` `setOpacity(Number opacity)` Sets the current opacity to be applied to a grid.
`void` `setShowHillshade(Boolean showHillshade)` Set to `true` if the grid is to be displayed as Hill Shade.

### Method Detail

#### getInflectionList

    List getInflectionList()

Returns the inflection list. It's also called a color palette where entries associate data values or index values with colors. Inflection list is valid only if the the band color interpretation is 'Palette'. A band for example can have a 'red' color interpretation if it's the red color component of an RGB raster dataset. A 'color palette' color interpretation is if the values of the bands are index to a color table/palette.

Returns:
  the inflection list.

#### setInflectionList

    void setInflectionList(List inflectionList)

Set the inflection list.

Parameters:
  `inflectionList` - The inflection list.

#### getContrast

    Number getContrast()

Returns the contrast to be applied to the grid. Normally ranges between 0 and 1.

Returns:
  the contrast to be applied to the grid. Normally ranges between 0 and 1.

#### setContrast

    void setContrast(Number contrast)

Sets the contrast to be applied to the grid. Normally ranges between 0 and 1. 0 meaning their is no contrast between pixels in the grid, 0.5 meaning that grid's contrast will be untouched and 1 meaning maximum contrast will be applied to the grid.

Parameters:
  `contrast` - the contrast to be applied to the grid. Normally ranges between 0 and 1.

#### getBrightness

    Number getBrightness()

Returns the brightness to be applied to a grid.

Returns:
  the brightness to be applied to a grid.

#### setBrightness

    void setBrightness(Number brightness)

Sets the brightness to be applied to a grid. Normally ranges between 0 and 1. 0 meaning that the grid will be displayed completely black, 0.5 meaning the grid's brightness will be untouched and 1 meaning that the grid will be almost completely white.

Parameters:
  `brightness` - the brightness to be applied to a grid. Normally ranges between 0 and 1.

#### getOpacity

    Number getOpacity()

Returns the current opacity to be applied to a grid.

Returns:
  the current opacity to be applied to a grid.

#### setOpacity

    void setOpacity(Number opacity)

Sets the current opacity to be applied to a grid. Normally ranges between 0 and 1. 0 the grid is completely transparent and 1 the grid is completely opaque. The default opacity is 1.

Parameters:
  `opacity` - the opacity to be applied to a grid.

#### getGrayscale

    Boolean getGrayscale()

Returns `true` if the grid is to be displayed as greyscale.

Returns:
  `true` if the grid is to be displayed as greyscale.

#### setGrayscale

    void setGrayscale(Boolean grayscale)

Set to `true` if the grid is to be displayed as greyscaled.

Parameters:
  `grayscale` - specify `true` if the grid is to be displayed greyscaled.

#### isShowHillshade

    Boolean isShowHillshade()

Returns `true` if the grid is to be displayed with Hill Shade.

Returns:
  `true` if the grid is to be displayed as Hill Shade.

#### setShowHillshade

    void setShowHillshade(Boolean showHillshade)

Set to `true` if the grid is to be displayed as Hill Shade.

Parameters:
  `showHillshade` - specify `true` if the grid is to be displayed Hill Shade.

#### getNullColor

    Color getNullColor()

Returns the no data color.

Returns:
  the no data color.
See Also:
  `IGridStyle.isNullTransparent()`

#### setNullColor

    void setNullColor(Color nullColor)

Set the no data colors.

Parameters:
  `nullColor` - the no data color.
See Also:
  `IGridStyle.setNullTransparent(Boolean)`

#### isNullTransparent

    Boolean isNullTransparent()

Returns `true` if null values should be rendered with a transparent color.

Returns:
  `true` if null values should be rendered with a transparent color.
See Also:
  `IGridStyle.getNullColor()`

#### setNullTransparent

    void setNullTransparent(Boolean nullTransparent)

Set to `true` if null values should be rendered with a transparent color.

Parameters:
  `nullTransparent` - specify `true` if null values should be rendered with a transparent color.
See Also:
  `IGridStyle.setNullColor(Color)`

#### getCopy

    IGridStyle getCopy()

Description copied from interface: `IStyle`
Returns a 'deep', stand-alone copy of this `IStyle`. Changes to the returned `IStyle` will have no effect on this `IStyle` and vise-versa.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a 'deep', stand-alone copy of this `IStyle`.